; Shifter - serial input module for BLINKENmini, LittleLights and BlinkenLeds
; IO definitions
; version 0.2 date 2006-02-28
; Copyright (C) 2005-2006 Stefan Schuermans <1stein@schuermans.info>
; Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
; a BlinkenArea project - http://www.blinkenarea.org/




; PA0..1: crystal
; PA2: reset
; PB0..7: data bus: output to 74HC4094s, input from SNESs
; PD0: serial input (RX)
; PD1: serial output (TX)
; PD2: output to 9th chain of 74HC4094s (if needed)
; PD3..4: unused
; PD5: strobe: latch 74HC4094s, load SNESs
; PD6: clock: 74HC4094s, SNESs



; IO pins
;  - data port is input by default, it is only switched to output for a short time when neccessary
.equ    PORT_CLK        =       PORTD           ; clock: PD6
.equ    BIT_CLK         =       6
.equ    PORT_STR        =       PORTD           ; strobe: PD5
.equ    BIT_STR         =       5
.equ    PORT_DATA       =       PORTB           ; data bus: PB
.equ    PIN_DATA        =       PINB
.equ    DDR_DATA        =       DDRB
.equ    PORT_DATA9      =       PORTD           ; 9th bit of data bus: PD2
.equ    BIT_DATA9       =       2
